Wallets, tokens & networks
Get Networks
Lists all org networks with all token types; The ZKsync-only organization keeps its existing network restriction.
POSThttps://api.toku.com/hris/get-networks
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/get-networks' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"includeDisabled": true
}'200 response
{
"network": [
{
"networkID": "string",
"orgID": "string",
"name": "string",
"icon": "string",
"tokenType": "string",
"isNetworkEnabled": true,
"chainType": "string",
"meshConnectNetworkID": "string",
"evmChainID": 0,
"multiSendCallOnlyAddress": "string",
"safeSingletonAddress": "string",
"safeFactoryAddress": "string",
"safeAppBaseUrl": "string",
"blockExplorerBaseUrl": "string",
"eipsName": "string",
"aleoTransferVisibility": "string",
"defaultNetworkSlugUrl": "string",
"catalogChainID": "string",
"rpcUrlConfigured": true,
"TokenType": [
{
"tokenTypeID": "string",
"name": "string",
"currencyCode": "string",
"icon": "string",
"orgID": "string",
"enabledForPayrollType": "string",
"networkID": "string",
"address": "string",
"decimalPlaces": 0,
"coinMarketCapID": "string",
"createdAt": "string",
"isTokenEnabled": true,
"isContractorDefault": true,
"defaultTokenSlug": "string",
"catalogTokenDeploymentID": "string"
}
]
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
includeDisabledbooleanResponse
200Successful response
networkarray | nullrequiredShow child attributes
networkIDstringrequiredorgIDstringrequirednamestringrequirediconstring | nullrequiredtokenTypestringrequiredisNetworkEnabledboolean | nullrequiredchainTypestring | nullrequiredmeshConnectNetworkIDstring | nullrequiredevmChainIDinteger | nullrequiredmultiSendCallOnlyAddressstring | nullrequiredsafeSingletonAddressstring | nullrequiredsafeFactoryAddressstring | nullrequiredsafeAppBaseUrlstring | nullrequiredsafeTxServiceUrlnull | nullrequiredblockExplorerBaseUrlstring | nullrequiredeipsNamestring | nullrequiredaleoTransferVisibilitystring | nullrequireddefaultNetworkSlugUrlstring | nullrequiredcatalogChainIDstring | nullrequiredrpcUrlConfiguredbooleanrequiredTokenTypeobject[]requiredShow child attributes
tokenTypeIDstringrequirednamestringrequiredcurrencyCodestringrequirediconstring | nullrequiredorgIDstringrequiredenabledForPayrollTypestring | nullrequirednetworkIDstringrequiredaddressstring | nullrequireddecimalPlacesinteger | nullrequiredcoinMarketCapIDstring | nullrequiredcreatedAtstringrequiredisTokenEnabledboolean | nullrequiredisContractorDefaultbooleanrequireddefaultTokenSlugstring | nullrequiredcatalogTokenDeploymentIDstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits